const express = require("express");
const CampaignCategoriesController = require("../controllers/campaignCategoriesController");

const router = express.Router();

router.get(
  "/api/Get_CampaignCategories",
  CampaignCategoriesController.getCampaignCategories
);
router.get(
  "/api/Get_CampaignCategories_Dropdown",
  CampaignCategoriesController.getCampaignCategoriesDropdown
);
router.post(
  "/api/Save_CampaignCategory",
  CampaignCategoriesController.saveCampaignCategory
);
router.post(
  "/api/Edit_CampaignCategory",
  CampaignCategoriesController.editCampaignCategory
);
router.post(
  "/api/Delete_CampaignCategory",
  CampaignCategoriesController.deleteCampaignCategory
);

module.exports = router;
